
Ex.

// functions
 node* Search(node *head, int target)
{
    node *here;
    here = head;                // point to the start of the list
    while ( here -> data != target && here->next != NULL)
   {
 	here->here->next;     // move to the next node in the list
    }
    i f ( here ->data == target)
    {
          return (here);
     }
     else
    {
          return (NULL);
     }
